---
title: get-the-user
product: vercel
url: /docs/rest-api/user/get-the-user
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-the-user on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get the User

```http
GET /v2/user
```

Retrieves information related to the currently authenticated User.

## Authentication

**bearerToken**: HTTP bearer

## Responses

### 200: Successful response.

Content-Type: `application/json`

```json
{
  "type": "object",
  "description": "Successful response.",
  "required": [
    "user"
  ],
  "properties": {
    "user": {
      "oneOf": [
        {
          "type": "object",
          "description": "Data for the currently authenticated User.",
          "required": [
            "avatar",
            "billing",
            "createdAt",
            "defaultTeamId",
            "email",
            "hasTrialAvailable",
            "id",
            "name",
            "resourceConfig",
            "softBlock",
            "stagingPrefix",
            "username"
          ],
          "properties": {
            "createdAt": {
              "type": "number",
              "description": "UNIX timestamp (in milliseconds) when the User account was created."
            },
            "softBlock": {
              "type": "object",
              "description": "When the User account has been \"soft blocked\", this property will contain the date when the restriction was enacted, and the identifier for why.",
              "nullable": true,
              "required": [
                "blockedAt",
                "reason"
              ],
              "properties": {
                "blockedAt": {
                  "type": "number"
                },
                "reason": {
                  "type": "string",
                  "enum": [
                    "SUBSCRIPTION_CANCELED",
                    "SUBSCRIPTION_EXPIRED",
                    "UNPAID_INVOICE",
                    "ENTERPRISE_TRIAL_ENDED",
                    "FAIR_USE_LIMITS_EXCEEDED",
                    "BLOCKED_FOR_PLATFORM_ABUSE"
                  ]
                },
                "blockedDueToOverageType": {
                  "type": "string",
                  "enum": [
                    "analyticsUsage",
                    "artifacts",
                    "bandwidth",
                    "blobTotalAdvancedRequests",
                    "blobTotalAvgSizeInBytes",
                    "blobTotalGetResponseObjectSizeInBytes",
                    "blobTotalSimpleRequests",
                    "connectDataTransfer",
                    "dataCacheRead",
                    "dataCacheWrite",
                    "edgeConfigRead",
                    "edgeConfigWrite",
                    "edgeFunctionExecutionUnits",
                    "edgeMiddlewareInvocations",
                    "edgeRequestAdditionalCpuDuration",
                    "edgeRequest",
                    "elasticConcurrencyBuildSlots",
                    "fastDataTransfer",
                    "fastOriginTransfer",
                    "fluidCpuDuration",
                    "fluidDuration",
                    "functionDuration",
                    "functionInvocation",
                    "imageOptimizationCacheRead",
                    "imageOptimizationCacheWrite",
                    "imageOptimizationTransformation",
                    "logDrainsVolume",
                    "monitoringMetric",
                    "blobDataTransfer",
                    "observabilityEvent",
                    "onDemandConcurrencyMinutes",
                    "runtimeCacheRead",
                    "runtimeCacheWrite",
                    "serverlessFunctionExecution",
                    "sourceImages",
                    "wafOwaspExcessBytes",
                    "wafOwaspRequests",
                    "wafRateLimitRequest",
                    "webAnalyticsEvent"
                  ]
                }
              }
            },
            "billing": {
              "type": "object",
              "description": "An object containing billing infomation associated with the User account.",
              "nullable": true
            },
            "resourceConfig": {
              "type": "object",
              "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
              "properties": {
                "nodeType": {
                  "type": "string",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "concurrentBuilds": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "elasticConcurrencyEnabled": {
                  "type": "boolean",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                  "enum": [
                    false,
                    true
                  ]
                },
                "buildEntitlements": {
                  "type": "object",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                  "properties": {
                    "enhancedBuilds": {
                      "type": "boolean",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                      "enum": [
                        false,
                        true
                      ]
                    }
                  }
                },
                "buildQueue": {
                  "type": "object",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                  "properties": {
                    "configuration": {
                      "type": "string",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                      "enum": [
                        "SKIP_NAMESPACE_QUEUE",
                        "WAIT_FOR_NAMESPACE_QUEUE"
                      ]
                    }
                  }
                },
                "awsAccountType": {
                  "type": "string",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "awsAccountIds": {
                  "type": "array",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                  "items": {
                    "type": "string"
                  }
                },
                "cfZoneName": {
                  "type": "string",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "imageOptimizationType": {
                  "type": "string",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "edgeConfigs": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "edgeConfigSize": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "edgeFunctionMaxSizeBytes": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "edgeFunctionExecutionTimeoutMs": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "serverlessFunctionMaxMemorySize": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "kvDatabases": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "postgresDatabases": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "blobStores": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "integrationStores": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "cronJobsPerProject": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "microfrontendGroupsPerTeam": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "microfrontendProjectsPerGroup": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "flagsExplorerOverridesThreshold": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "flagsExplorerUnlimitedOverrides": {
                  "type": "boolean",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                  "enum": [
                    false,
                    true
                  ]
                },
                "customEnvironmentsPerProject": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                },
                "buildMachine": {
                  "type": "object",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                  "properties": {
                    "default": {
                      "type": "string",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                      "enum": [
                        "enhanced",
                        "turbo",
                        "standard",
                        "elastic"
                      ]
                    },
                    "purchaseType": {
                      "type": "string",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                      "enum": [
                        "enhanced",
                        "turbo",
                        "standard"
                      ]
                    },
                    "defaultPurchaseType": {
                      "type": "string",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                      "enum": [
                        "enhanced",
                        "turbo",
                        "standard"
                      ]
                    },
                    "cores": {
                      "type": "number",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                    },
                    "memory": {
                      "type": "number",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                    },
                    "machineSelectionType": {
                      "type": "string",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                      "enum": [
                        "fixed",
                        "elastic"
                      ]
                    }
                  }
                },
                "security": {
                  "type": "object",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account.",
                  "properties": {
                    "customRules": {
                      "type": "number",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                    },
                    "ipBlocks": {
                      "type": "number",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                    },
                    "ipBypass": {
                      "type": "number",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                    },
                    "rateLimit": {
                      "type": "number",
                      "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                    }
                  }
                },
                "bulkRedirectsFreeLimitOverride": {
                  "type": "number",
                  "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
                }
              }
            },
            "stagingPrefix": {
              "type": "string",
              "description": "Prefix that will be used in the URL of \"Preview\" deployments created by the User account."
            },
            "activeDashboardViews": {
              "type": "array",
              "description": "set of dashboard view preferences (cards or list) per scopeId",
              "items": {
                "type": "object",
                "description": "set of dashboard view preferences (cards or list) per scopeId",
                "required": [
                  "scopeId"
                ],
                "properties": {
                  "scopeId": {
                    "type": "string"
                  },
                  "viewPreference": {
                    "type": "string",
                    "enum": [
                      "list",
                      "cards"
                    ],
                    "nullable": true
                  },
                  "favoritesViewPreference": {
                    "type": "string",
                    "enum": [
                      "open",
                      "closed"
                    ],
                    "nullable": true
                  },
                  "recentsViewPreference": {
                    "type": "string",
                    "enum": [
                      "open",
                      "closed"
                    ],
                    "nullable": true
                  }
                }
              }
            },
            "importFlowGitNamespace": {
              "nullable": true,
              "oneOf": [
                {
                  "type": "string"
                },
                {
                  "type": "number"
                }
              ]
            },
            "importFlowGitNamespaceId": {
              "nullable": true,
              "oneOf": [
                {
                  "type": "string"
                },
                {
                  "type": "number"
                }
              ]
            },
            "importFlowGitProvider": {
              "type": "string",
              "enum": [
                "vercel",
                "gitlab",
                "bitbucket",
                "github",
                "github-limited",
                "github-custom-host"
              ],
              "nullable": true
            },
            "preferredScopesAndGitNamespaces": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "gitNamespaceId",
                  "scopeId"
                ],
                "properties": {
                  "scopeId": {
                    "type": "string"
                  },
                  "gitNamespaceId": {
                    "nullable": true,
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      }
                    ]
                  }
                }
              }
            },
            "dismissedToasts": {
              "type": "array",
              "description": "A record of when, under a certain scopeId, a toast was dismissed",
              "items": {
                "type": "object",
                "description": "A record of when, under a certain scopeId, a toast was dismissed",
                "required": [
                  "dismissals",
                  "name"
                ],
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "dismissals": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "createdAt",
                        "scopeId"
                      ],
                      "properties": {
                        "scopeId": {
                          "type": "string"
                        },
                        "createdAt": {
                          "type": "number"
                        }
                      }
                    }
                  }
                }
              }
            },
            "favoriteProjectsAndSpaces": {
              "type": "array",
              "description": "A list of projects and spaces across teams that a user has marked as a favorite.",
              "items": {
                "type": "object",
                "description": "A list of projects and spaces across teams that a user has marked as a favorite.",
                "required": [
                  "projectId",
                  "teamId"
                ],
                "properties": {
                  "teamId": {
                    "type": "string"
                  },
                  "projectId": {
                    "type": "string"
                  }
                }
              }
            },
            "hasTrialAvailable": {
              "type": "boolean",
              "description": "Whether the user has a trial available for a paid plan subscription.",
              "enum": [
                false,
                true
              ]
            },
            "remoteCaching": {
              "type": "object",
              "description": "remote caching settings",
              "properties": {
                "enabled": {
                  "type": "boolean",
                  "enum": [
                    false,
                    true
                  ]
                }
              }
            },
            "dataCache": {
              "type": "object",
              "description": "data cache settings",
              "properties": {
                "excessBillingEnabled": {
                  "type": "boolean",
                  "enum": [
                    false,
                    true
                  ]
                }
              }
            },
            "featureBlocks": {
              "type": "object",
              "description": "Feature blocks for the user",
              "properties": {
                "webAnalytics": {
                  "type": "object",
                  "required": [
                    "isCurrentlyBlocked"
                  ],
                  "properties": {
                    "blockedFrom": {
                      "type": "number"
                    },
                    "blockedUntil": {
                      "type": "number"
                    },
                    "isCurrentlyBlocked": {
                      "type": "boolean",
                      "enum": [
                        false,
                        true
                      ]
                    }
                  }
                }
              }
            },
            "id": {
              "type": "string",
              "description": "The User's unique identifier."
            },
            "email": {
              "type": "string",
              "description": "Email address associated with the User account."
            },
            "name": {
              "type": "string",
              "description": "Name associated with the User account, or `null` if none has been provided.",
              "nullable": true
            },
            "username": {
              "type": "string",
              "description": "Unique username associated with the User account."
            },
            "avatar": {
              "type": "string",
              "description": "SHA1 hash of the avatar for the User account. Can be used in conjuction with the ... endpoint to retrieve the avatar image.",
              "nullable": true
            },
            "defaultTeamId": {
              "type": "string",
              "description": "The user's default team.",
              "nullable": true
            },
            "isEnterpriseManaged": {
              "type": "boolean",
              "description": "Indicates whether the user is managed by an enterprise.",
              "enum": [
                false,
                true
              ]
            }
          }
        },
        {
          "type": "object",
          "description": "A limited form of data for the currently authenticated User, due to the authentication token missing privileges to read the full User data.",
          "required": [
            "avatar",
            "defaultTeamId",
            "email",
            "id",
            "limited",
            "name",
            "username"
          ],
          "properties": {
            "limited": {
              "type": "boolean",
              "description": "Property indicating that this User data contains only limited information, due to the authentication token missing privileges to read the full User data. Re-login with email, GitHub, GitLab or Bitbucket in order to upgrade the authentication token with the necessary privileges.",
              "enum": [
                true
              ]
            },
            "id": {
              "type": "string",
              "description": "The User's unique identifier."
            },
            "email": {
              "type": "string",
              "description": "Email address associated with the User account."
            },
            "name": {
              "type": "string",
              "description": "Name associated with the User account, or `null` if none has been provided.",
              "nullable": true
            },
            "username": {
              "type": "string",
              "description": "Unique username associated with the User account."
            },
            "avatar": {
              "type": "string",
              "description": "SHA1 hash of the avatar for the User account. Can be used in conjuction with the ... endpoint to retrieve the avatar image.",
              "nullable": true
            },
            "defaultTeamId": {
              "type": "string",
              "description": "The user's default team.",
              "nullable": true
            },
            "isEnterpriseManaged": {
              "type": "boolean",
              "description": "Indicates whether the user is managed by an enterprise.",
              "enum": [
                false,
                true
              ]
            }
          }
        }
      ]
    }
  }
}
```

### 302: No description

### 400: No description

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 409: No description

---

## Related

- [user endpoints](/docs/rest-api#user)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
